Update a dispatch location

Purpose: Use this API to update an existing dispatch location of your company.

Dispatch locations are categorised into two types:

  • Geocoded Dispatch Locations: Geocoded dispatch locations have specific geographic data assigned to them, including latitude, longitude, arrive radius, and depart radius. These values are crucial as they enable the system to accurately pinpoint the dispatch location on a map. The latitude and longitude coordinates define the exact position, while the arrive and depart radii set boundaries around the location.
  • Non-Geocoded Dispatch Locations: Non-geocoded dispatch locations, on the other hand, do not have latitude, longitude, arrive radius, or depart radius values assigned to them. These locations are typically defined by address information such as street, city, state, and ZIP code, but lack the precise geographic data needed for certain automated features.

📘

NOTE

In order to update the existing dispatch location, you must enter either one of the values in the Query Parameters section:

  • ID
  • Vendor ID

Refer to the Query Parameters section for more info.

Response Parameters

dispatch_location

  • Type: Object
  • Description: Details of the dispatch location.

id

  • Type: Integer
  • Description: Unique identifier for the dispatch location.

vendor_id

  • Type: String
  • Description: Vendor identifier associated with the dispatch location.

lat

  • Type: Integer
  • Description: Latitude of the dispatch location.

lon

  • Type: Integer
  • Description: Longitude of the dispatch location.

name

  • Type: String
  • Description: Name of the dispatch location.

address1

  • Type: String
  • Description: Primary address line of the dispatch location.

address2

  • Type: String
  • Description: Secondary address line of the dispatch location.

city

  • Type: String
  • Description: City where the dispatch location is situated.

state

  • Type: String
  • Description: State where the dispatch location is situated.

zip

  • Type: String
  • Description: ZIP code of the dispatch location.

country

  • Type: String
  • Description: Country where the dispatch location is located.

arrive_radius

  • Type: Integer
  • Description: Arrival radius in meters for the dispatch location.

depart_radius

  • Type: Integer
  • Description: Departure radius in meters for the dispatch location.

phone

  • Type: String
  • Description: Phone number associated with the dispatch location.
Query Params
int32
required

Specify the ID of the dispatch location for which you want to make an update.

int32
required

Specify the ID of the vendor for which you are making an update.

Body Params
string

Specify the name of the location for which you want create a dispatch.

string

Specify the primary address of the location.

string

Specify the address line 2 for the location.

string

Enter the name of the city where the dispatch is located at.

string

Enter the name of the state of the dispatch location.

string

Enter the ZIP code of the dispatch location.

string

Enter the country where the dispatch location is existing.

float

Enter the latitude coordinates of the dispatch location.

float

Enter the longitude coordinates of the dispatch location.

int32

Radius of area when arriving at a stop for auto detection. Value should be in meters if X-Metric-Units is not specified or true. Value should be in foot if X-Metric-Units is false.

int32

Radius of area when departing from a stop for auto detection. Value should be in meters if X-Metric-Units is not specified or true. Value should be in foot if X-Metric-Units is false.

string

Enter the phone number of the location.

Headers
boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json